Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members | Search for

# tests/ptv.cpp File Reference

`#include <ptv.h>`

Go to the source code of this file.

## Functions
std::ostream & | operator<< (std::ostream &os, const ptv &p)

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const ptv & | p
| ) |

| Definition at line 77 of file tests/ptv.cpp. References ptv::size().
    00077                                                         {
    00078   if (p.size() >= 1) {
    00079     os <<"[";
    00080     for (int i=0; i< p.size()-1; i++) {
    00081       os <<p[i]<<",";
    00082     }
    00083     os <<p[p.size()-1]<<"]";
    00084   } else {
    00085     os <<"ptv not created properly"<<endl;
    00086   }
    00087 }